﻿using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.GamerServices;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Storage;
using Microsoft.Xna.Framework.Content;

namespace P9_2
{
//Экран меню
    public class MenuScreen : Screen 
    {
        //Элементы меню будем хранить в массиве типа Menu
        //тип данных Menu хранит информацию об элементах меню
        Classes.Menu[] menu;
        //Текстуры и прямоугольники для вывода элементов меню
        Texture2D menuTxtStartGame;
        Texture2D menuTxtHelp;
        Texture2D menuTxtExit;
        Rectangle menuTxtStartGameR, menuTxtHelpR, menuTxtExitR;
        Texture2D menuBack, menuGameName;
        Rectangle menuBackR, menuGameNameR;

        public MenuScreen(Game game, Texture2D _menuBack, Texture2D _menuGameName, 
            Texture2D _menuTxtStartGame, Texture2D _menuTxtHelp, Texture2D _menuTxtExit,
            Rectangle _menuTxtStartGameR,Rectangle _menuTxtHelpR, Rectangle _menuTxtExitR)
            : base(game)
        {
            menuBack = _menuBack;
            menuGameName = _menuGameName;
            menuBackR = new Rectangle(0, 0, 800, 600);
            menuGameNameR = new Rectangle(0, 0, 800, 200);
            menuTxtStartGame = _menuTxtStartGame ;
            menuTxtStartGameR = _menuTxtStartGameR;
            menuTxtHelp = _menuTxtHelp;
            menuTxtHelpR = _menuTxtHelpR;
            menuTxtExit = _menuTxtExit;
            menuTxtExitR = _menuTxtExitR;
            //Создаем массив из 3-х элементов
            menu = new P9_2.Classes.Menu[3];
            //Инициализируем элементы массива
            //Элемент с номером 0 активен
            menu[0]=new P9_2.Classes.Menu (game, menuTxtStartGame, menuTxtStartGameR ,Color.Magenta);
            menu[1] = new P9_2.Classes.Menu(game, menuTxtHelp, menuTxtHelpR, Color.White);
            menu[2] = new P9_2.Classes.Menu(game, menuTxtExit, menuTxtExitR, Color.White);

        }
        //Метод вызывается для отображения смены пункта меню
        public void GetKey(int i)
        {
            //i=1 - первый пункт
            //i=2 - второй пункт
            //i=3 - третий пункт
            if (i == 1)
            {
                menu[0].color = Color.Magenta;
                menu[1].color = Color.White;
                menu[2].color = Color.White;

            }
            if (i == 2)
            {
              menu[0].color = Color.White;
              menu[1].color = Color.Magenta;
              menu[2].color = Color.White;
            }
            if (i == 3)
            {
                menu[0].color = Color.White;
                menu[1].color = Color.White;
                menu[2].color = Color.Magenta;

            }
        }
        //Рисование элементов
        public override void Draw(GameTime gameTime)
        {
            //Вывод фона и названия игры
            sprBatch.Draw(menuBack, menuBackR, Color.White);
            sprBatch.Draw(menuGameName, menuGameNameR, Color.White);
            //Вывод элементов меню
            for (int i=0;i<3;i++)
                sprBatch.Draw(menu[i].imageTexture, menu[i].imageRectangle, menu[i].color);
            base.Draw(gameTime);
        }

    }
}